const express = require('express');
const app = express();
const port = 3000;

// enable the Twig template engine
app.set('view engine', 'twig');

// enable serving static files
app.use(express.static('public'));

// load routes
const indexRoutes = require('./src/routes/index');

// register routes
app.get('/', indexRoutes.getIndex);

app.listen(port, () => {
  console.log(`Leviathan listening on port ${port}`);
});
